Subject: Re: Highmem on PPC?

From: Val Henson <[email-masked]>
Date: Thu, 7 Feb 2002 14:56:20 -0700

On Thu, Feb 07, 2002 at 10:51:05PM +0100, Benjamin Herrenschmidt wrote:
>
> >as a result.  Any ideas for stressing the system harder?
>
> Well, I don't know what your previous kernel had, but recent _devel
> has my fix to limit lowmem to what can be mapped by BATs on SMP.
> That may help with the 7410. If the machine ends up beeing really
> stable, then I'll have to look into CPU bugs for my 7450 problems.

The previous kernel was 2.4.12 based, with a hack from me to limit
lowmem to 512MB.  And I was using SCSI, which has hardware bugs on my
board, in addition to exercising bounce buffers much more strongly.
In summary, I don't have the faintest idea what was causing the
hangs.  I'll try booting my old 2.4.12 kernel NFS root and see if it's
just as stable.

-VAL

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/